



client
	view = "4x8"

	var
		// Create new instances of backgrounds and display HUDs
		// whenever a new client is created.
		obj/hud_background/background = new()
		obj/hud_background2/background2 = new()
		obj/hud_background3/background3 = new()

		display_hud/backpack/backpack = new()
		display_hud/clothes/clothes = new()
		display_hud/keys/keys = new()


	New()
		..()

		// Add the backgrounds to the new client's screen.
		src.screen += src.background
		src.screen += src.background2
		src.screen += src.background3




mob

	var

		// Lists for housing clothes and keys HUD lists.
		list/clothes = list()
		list/keys = list()


// Background objects (not important)
obj/hud_background
	icon = 'icon.dmi'
	icon_state = "background"
	screen_loc = "1,5 to 4,8"
	layer = TURF_LAYER

obj/hud_background2
	icon = 'icon.dmi'
	icon_state = "background2"
	screen_loc = "1:16,2:16 to 3:16,3:16"
	layer = TURF_LAYER

obj/hud_background3
	icon = 'icon.dmi'
	icon_state = "background3"
	screen_loc = "1,1 to 4,1"
	layer = TURF_LAYER




// Display HUD Datums
display_hud/backpack
	// Starting screen_loc is the top left corner where objects begin accumulating.
	// If start_x is 5 and start_y is 8, the starting screen_loc will be "5,8"
	start_x = 1
	start_y = 8

	// Ending screen_loc is the bottom right corner where the display list ends.
	// If end_x is 5 and end_y is 8, the final screen_loc will be "5,8"
	end_x = 4
	end_y = 5

	// If these values are used, pixel offsets for x and y values will be appended
	// to each of the screen_locs used by the hud.
	pixel_offset_x = 0
	pixel_offset_y = 0

	// If this is true, objects will be added by column first instead of by rows.
	vertical = 0


display_hud/clothes
	start_x = 1
	start_y = 3

	end_x = 3
	end_y = 2

	pixel_offset_x = 16
	pixel_offset_y = 16

	vertical = 1


display_hud/keys
	start_x = 1
	start_y = 1

	end_x = 4
	end_y = 1






// Functions for adding and removing objects from any of the
// display HUD lists.
client/verb/AddItem(listname as text)

	var/obj/O = new()
	O.icon = 'icon.dmi'

	var/list/L
	var/display_hud/HUD
	switch(listname)
		if("backpack")
			L = mob.contents
			HUD = src.backpack
			O.icon_state = "item[rand(1,4)]"
		if("clothes")
			L = mob.clothes
			HUD = src.clothes
			O.icon_state = "armor[rand(1,4)]"
		if("keys")
			L = mob.keys
			HUD = src.keys
			O.icon_state = "key[rand(1,4)]"

	if(HUD.Add(src, O, L))
		world << "Item added!"
	else
		world << "Item was not added."


client/verb/RemoveItem(listname as text)

	var/list/L
	var/display_hud/HUD
	switch(listname)
		if("backpack")
			L = mob.contents
			HUD = src.backpack
		if("clothes")
			L = mob.clothes
			HUD = src.clothes
		if("keys")
			L = mob.keys
			HUD = src.keys

	if(!L.len)
		return

	var/atom/movable/A = pick(L)

	if(!A)
		return

	if(HUD.Remove(src, A, L))
		world << "Item removed!"
	else
		world << "Item was not removed."



